# $EPIC: midw,v 1.3 2001/07/16 20:46:43 jnelson Exp $
Synopsis:
   $midw(<start> <length> <word list>)

Technical:
   * If the <start> argument is omitted the empty string is returned.
   * If the <length> argument is omitted the empty string is returned.
   * If the <start> argument is less than 0, the empty string is returned.
   * If the <length> argument is less than 1, the empty string is returned.
   * The return value is the first <length> words of the result of removing
     the first <start> words from <word list>.
   * Historically <word list> does not support double-quoted words.
     This may change in the future.  Try using /xdebug extractw.

Practical:
   Useful when you want to get some words on the inside of a word list.

Returns:
   Words <start> through <start>+<length> in <word list>, counting from zero.

Examples:
   $midw(2 2 hello there how are you?)         returns "how are"
   $midw(-1 3 hello there bob)                 returns nothing
   $midw(0 7 hello there bob)                  returns "hello there bob"

History:
   This function first appeared in "plus-2" (post-ircII, pre-EPIC)

See Also:
   leftw(6); rightw(6); restw(6)
